attribute vec2 vertArray;
attribute vec2 texArray;

uniform float scale;
uniform float screenX, screenY;
uniform int offset;

varying vec2 texCoord;

void main()  {
    gl_Position = vec4( scale * (vertArray + vec2(offset, 0.0)) + vec2(screenX, screenY), 1.0, 1.0);
    texCoord = texArray;
    //gl_Position = vec4(attrObjCoord, 0.0, 1.0);
}
