/* Vertex shader for background cube map */

// Input vertex position
attribute vec3 vertex;

// Transformation matrix (Modelview just scales so we hardcode it)
uniform mat4 projection;

// Output to fragment shader
varying vec3 texcoord;

void main() {
    texcoord    = normalize(vertex);
    gl_Position = projection * (vec4(20.0*vertex,1.0));
}
