#ifndef ENVCUBE_INCLUDED
#define ENVCUBE_INCLUDED

/* the cube (walls of Nvidia room) */

typedef struct {
    unsigned int cube_texture;
    unsigned int vbo[2];
} EnvCube;

EnvCube* EnvCube_build(void);
void EnvCube_destroy(EnvCube* e);
unsigned int EnvCube_getCube(EnvCube* e);
void EnvCube_draw(EnvCube* e);

#endif //ENVCUBE_INCLUDED
